---
# Artifactory
artifactory_base_url: https://transparentinc.jfrog.io
artifactory_external_artifacts_url: "{{ artifactory_base_url }}/artifactory/artifacts-external"
artifactory_internal_artifacts_url: "{{ artifactory_base_url }}/artifactory/artifacts-internal"
artifactory_docker_registry_domain: transparentinc-docker-external.jfrog.io
artifactory_docker_registry_base: "{{ artifactory_docker_registry_domain }}"

# Docker Images
gcr_xand_dev_registry_domain: "gcr.io"
gcr_xand_dev_registry_base: "{{ gcr_xand_dev_registry_domain}}/xand-dev"

# Choose registry based on public_feed.
docker_registry_domain: "{{ public_feed | ternary(artifactory_docker_registry_domain, gcr_xand_dev_registry_domain) }}"
docker_registry_url: "https://{{ docker_registry_domain }}"
docker_registry_base: "{{ public_feed | ternary(artifactory_docker_registry_base, gcr_xand_dev_registry_base) }}"
docker_registry_username: "{{ public_feed | ternary(artifactory_username, '_json_key') }}"
docker_registry_password: "{{ public_feed | ternary(artifactory_password, google_cloud_service_account) }}"
docker_registry_auth: "{{ docker_registry_username }}:{{ docker_registry_password }}"

# Choose remote fileserver based on public_feed.
artifacts_url: "{{ public_feed | ternary(artifactory_external_artifacts_url, artifactory_internal_artifacts_url) }}"

# K8S Cluster Version
kubernetes_cluster_version: "1.22"

# Validator (Non-)Consensus
xand_node_version: "16.3.1"
xand_node_k8s_version: "6.0.0"
prometheus_pipe_srv_version: "0.1.0.501321957"
xand_node_tcp_port: 30333

# Member API
member_api_version: "11.1.4"

# Trust versions
trust_k8s_version: "7.0.0"
trust_image_version: "10.0.4"

# Trust API versions
trust_api_version: "0.4.1"
trust_api_k8s_version: "0.2.0"

# Devops/Cluster Components
toolchain_version: "4.0.0"
xand_devops_version: "4.0.0"
t4_workspace: "default"
keypair_name: "xand-ssh"

# Cert-Manager Component
cert_manager_version: "2.0.0"

# Grafana Component
grafana_version: "1.3.0"

# Loggly Component
loggly_version: "2.0.0"

# Node exporter
node_exporter_version: "0.1.0"

# NGINX Component
nginx_version: "0.3.0"

# Prometheus Component
prometheus_version: "0.7.0"

# Paths
base_working_dir: "/root/xand"

# This variable gets set to "true" if vars for conditionally deploying NCN are set
should_deploy_xand_node: "{{ chain_spec_version | length | int > 0 and bootnode_url_vec | length | int > 0 }}"

# Will be used for multiple validators when we implement that feature.
consensus_node_ids: "{{ range(0, 3)|list }}"
